{% extends "plantilla.html"%}


{% block contenido%}
{% load static %}
<div class="content-body">
      <div class="container-fluid">
          <div class="row page-titles mx-0">
              <div class="col-sm-6 p-md-0">
                  <div class="welcome-text">
                      <h4>MECANICO</h4>
                      <p class="mb-0">Tu mejor opción</p>
                  </div>
              </div>

          </div>
          <div class="col-md-12">
            <table class="table" id="tbl_mecanicos">
      <thead>
        <tr>
          <th>ID</th>
          <th>NOMBRE</th>
          <th>ESPECIALIDAD</th>
          <th>TELEFONO</th>
          <th>CORREO</th>
          <th>FOTO</th>
          <th>ACCIONES</th>
        </tr>
      </thead>
      <tbody>
        {% for mecanico in mecanicos %}
        <tr>
          <td>{{mecanico.id}}</td>
          <td>{{mecanico.nombre}}</td>
          <td>{{mecanico.especialidad}}</td>
          <td>{{mecanico.telefono}}</td>
          <td>{{mecanico.correo}}</td>
          <td>
              {% if mecanico.foto %}
                  <a href="{{ mecanico.foto.url }}">
                      <img src="{{ mecanico.foto.url }}" >
                  </a>
              {% else %}
                  <p>N/A</p>
              {% endif %}
          </td>
          <td>
            <a href="/editarMecanico/{{mecanico.id}}" class="btn btn-warning">Editar</a>
            <a href="javascript:void(0)"onclick="eliminarMecanico('/eliminarMecanico/{{mecanico.id}}');" class="btn btn-danger"> Eliminar </a>
          </td>
        </tr>
        {% endfor %}
      </tbody>
    </table>

          </div>
          <!-- Button trigger modal -->
<button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#staticBackdrop">
  Launch static backdrop modal
</button>

<!-- Modal -->
<div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="staticBackdropLabel">Modal title</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        ...
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary">Understood</button>
      </div>
    </div>
  </div>
</div>
        </div>
  </div>
{% endblock %}
